Package org.apache.sling.scripting.api.resource

# Interface ScriptingResourceResolverProvider

@ProviderType public interface ScriptingResourceResolverProvider
The `ScriptingResourceResolverProvider` provides methods to obtain `ResourceResolver`s that can be used by scripting bundles to perform their script resolution operations.

Since:
  1.0.0

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.ResourceResolver`
`getRequestScopedResourceResolver()`
Provides a request-scoped `ResourceResolver` with only read access to the search paths.

## Method Details

### getRequestScopedResourceResolver

org.apache.sling.api.resource.ResourceResolver getRequestScopedResourceResolver()

Provides a request-scoped `ResourceResolver` with only read access to the search paths.

This resolver should be used for script resolution in the context of the same request rendering process. The `ResourceResolver` should not be closed by consumers (calling `ResourceResolver.close()` doesn't do anything), since this service will handle the closing operation automatically. The `ResourceResolver` will be shared between scripting dependencies that render parts of the response for the same request.

NOTE: Usage of this `ResourceResolver` outside of a Servlet Request API context might lead to improper cleaning (e.g. reusing the same resolver for multiple threads).

Returns:
  a request scoped resource resolver